ruby-compass (1.0.1~dfsg-4) experimental; urgency=medium

  * Fix have ruby-compass (again) recommend ruby-oily-png (wrongly
    dropped since 1.0.0~alpha20~dfsg-1).
  * Add patch 2003 to strip dependency on Mac-only rb-notify from
    Gemspec.
    Closes: bug#770651. Thanks to Pirate Praveen.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Nov 2014 01:57:20 +0100

ruby-compass (1.0.1~dfsg-3) unstable; urgency=medium

  * Fix tighten dependencies on ruby-sass and ruby-chunky-png.
  * Adjust watch file to track only stable releases.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Declare compliance with Debian Policy 3.9.6.
  * Add NEWS entry about Blueprint now packaged separately.
  * Stop build-depend explicitly on ruby.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Oct 2014 01:41:15 +0200

ruby-compass (1.0.1~dfsg-2) experimental; urgency=medium

  * Revive patch 1002 to adjust location of VERSION: Still needed.
  * Embed VERSION and VERSION_NAME during build, where supported
    (ruby-compass-install-once still need VERSION as file).
  * Build-depend on libfile-slurp-perl: Needed for above embedding.
  * Fix extend patch 2002 to detect all system-shared frameworks (not
    only compass itself), and apply also for "scss --compass".

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Aug 2014 22:57:25 +0200

ruby-compass (1.0.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Strip from upstream tarball another image containing ICC profile
    without license.
  * Update package relations:
    + Tighten dependency on ruby-sass for ruby-compass.
    + Relax dependency on ruby-sass for ruby-compass-core.
  * Unfuzz patches.
  * Fix build-depend explicitly on ruby (see bug#758806).
  * Juggle VERSION_NAME (not only VERSION) when auto-generating man
    pages.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Aug 2014 18:04:40 +0200

ruby-compass (1.0.0~alpha20~dfsg-4) experimental; urgency=medium

  * Improve description in man page.
  * Add patch 2002 to expect core framework installed below /usr/share.
  * Fix ship core framework in ruby-compass-core.
  * Fix have ruby-compass-core break/replace older ruby-compass.
  * Fix copy VERSION files to patched locations during build (not only
    during man page creation).
  * Extend patch 2001 to also avoid git in import-once gemspec.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 18:37:58 +0200

ruby-compass (1.0.0~alpha20~dfsg-3) experimental; urgency=medium

  * Simplify man page auto-creation.
  * Fix install VERSION files apparently missed in upstream build.
    Add patch 1002 to use correct path to VERSION.
  * Fix use canonical Vcs-Git URL.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 16:16:14 +0200

ruby-compass (1.0.0~alpha20~dfsg-2) experimental; urgency=medium

  * Fix tighten dependency on ruby-sass.
  * Fix spelling in short description.
  * Auto-generate man page.
  * Introduce new binary packages ruby-compass-install-once and
    ruby-compass-core.
  * Update package relations:
    + Stop break/replace/provide libcompass-ruby: Never it into stable,
      and long gone from testing/unstable.
    + Fix tighten build-dependency on gem2deb: needed for multi-binary
      layout.
    + Build-depend on help2man, and build-depend (not only depend) on
      ruby-sass, ruby-chunky-png and ruby-multi-json: Needed to
      auto-create man page.
    + (Build-)depend on ruby-rb-inotify: Needed for command-line tool.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 12:27:43 +0200

ruby-compass (1.0.0~alpha20~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Fix tighten dependency on ruby-sass.
    + Fix depend on ruby-multi-json.
    + Stop recommending ruby-oily-png or ruby-fssm.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 00:58:10 +0200

ruby-compass (1.0.0~alpha19~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fix update homepage URL.
    Closes: bug#664179. Thanks to Frederic Junod.
  * Set experimental branches in git-buildpackage config.
  * Relax watch file to include alpha/beta/rc releases.
  * Update copyright info:
    + Update copyright info: Adapt for files moved around, duplicated or
      dropped.
  * Update location of upstream changelog.
  * Adapt CDBS tarball hints for mangled upstream version.
  * Drop patch 2001 to hardcode default framework location below
    /usr/share: Apparently unneeded now.
  * Update patch 1001.
  * Add patch 2001 to avoid git in gemspec file.
  * Update paths to framework files.
  * Stop install examples: Dropped upstream.
  * Add dh_ruby hint to operate in subdir core.
    Tighten build-dependency on gem2deb to versions supporting the
    needed multi-binary layout.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 May 2014 21:43:38 +0200

ruby-compass (0.12.6~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix concurrency issues with css and sprite files.
    + Fix a windows issue by forcing a Sass upgrade.
    + Don't read the compass version from a file, this causes issues in
      jruby environments.

  [ Jonas Smedegaard ]
  * Fix update homepage URL.
    Closes: bug#664179. Thanks to Frederic Junod.
  * Drop upstream .gitignore file.
  * Update source and contact URLs to new github Compass team address.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 00:31:29 +0200

ruby-compass (0.12.3~dfsg-2) unstable; urgency=medium

  * Update Maintainer, Uploaders and Vcs-* fields: Packaging git moved
    to pkg-sass area of Alioth.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 May 2014 14:17:46 +0200

ruby-compass (0.12.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fix add License section for Apache-2.0.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Suppress import of upstream .gitignore file.
    Git-ignore quilt -pc dir.
  * Extract metadata from images and fonts before copyright check.
    Build-depend on libimage-exiftool-perl, libregexp-assemble-perl,
    libipc-system-simple-perl and lcdf-typetools.
  * Bump standards-version to 3.9.5.
  * Update copyright info:
    + Drop coverage for non-DFSG-free stripped files.
  * Extend coverage for myself, and relicense packaging as GPL-3+.
  * Strip more files when repackaging upstream tarball:
    + Images containing non-free ICC profiles.
    + Icons not permitted to modify.
    + Javascript uglified and lacking its source.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 May 2014 01:21:45 +0200

ruby-compass (0.12.2~dfsg-4) unstable; urgency=low

  * Update watch and rules files to use new github.com URL.
  * Bump dephelper compatibility level to 8.
  * Update copyright file:
    + Fix use pseudo-license and pseudo-comment sections to obey silly
      restrictions of copyright format 1.0.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Nov 2012 03:17:56 +0100

ruby-compass (0.12.2~dfsg-3) unstable; urgency=low

  * Directly use github.com (not githubredir.debian.net).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Sep 2012 12:45:57 +0200

ruby-compass (0.12.2~dfsg-2) unstable; urgency=low

  * Team upload.
  * debian/require-rubygems.overrides: instruct dh_ruby to ignore what seems
    to be justifiable Rubygems usage and don't break the build
    (Closes: #680846)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 02 Sep 2012 10:13:52 -0300

ruby-compass (0.12.2~dfsg-1) unstable; urgency=low

  * New upstream release.

  * Extend copyright years for packaging.
  * Install upstream changelog.
  * Tidy copyright file:
    + Fix add jquery.url copyright holder.
    + Fix typo File → Files.
    + Fix comment to talk about [a piece of included] code (not upstream
      source) lacking licensing info.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jun 2012 15:33:57 +0200

ruby-compass (0.12.1~dfsg-2) unstable; urgency=low

  * Use packaging section web (not ruby): Compass is more a web
    development tool than a ruby library.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 12:23:45 +0200

ruby-compass (0.12.1~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Mar 2012 16:41:28 +0100

ruby-compass (0.12.0~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update package relations:
    + Relax build-depend unversioned on gem2deb: satisfied in testing
      (and not yet part of a stable Debian release).
  * Bump standards-version to 3.9.3.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Mar 2012 11:24:04 +0100

ruby-compass (0.11.7~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Feb 2012 16:30:15 +0100

ruby-compass (0.11.6~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update package relations:
    + Relax build-dependency on cdbs (needlessly tight).
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Dec 2011 20:00:37 +0700

ruby-compass (0.11.5~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Jul 2011 20:31:18 +0200

ruby-compass (0.11.4~dfsg-3) unstable; urgency=low

  * Update package relations:
    + Fix depend on ruby-chunky-png.
    + Fix recommend ruby-fssm (not depend on older libfssm-ruby).
    + Recommend ruby-oily-png.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jul 2011 04:15:10 +0200

ruby-compass (0.11.4~dfsg-2) unstable; urgency=low

  * Add git-buildpackage config:
    + Enable pristine-tar.
    + Enable tag signing.
  * Fix add breaks/replaces/provides libcompass-ruby.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jul 2011 02:09:44 +0200

ruby-compass (0.11.4~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repackage as ruby-compass using gem2deb and modernized CDBS.
    See <http://wiki.debian.org/Teams/Ruby/RubyInWheezy>.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jul 2011 00:06:18 +0200

libcompass-ruby (0.10.6~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add get-orig-tar target.
  * Friendly invasion: Add myself as uploader.
  * Fix patch 003 to use /usr/share/compass/frameworks (not
    /usr/share/compass/frameworks/frameworks) by default.
    Closes: bug#600206.
  * Refresh patches w/ compacting options --no-timestamps --no-index
    -pab.
  * Update watch file to use ~dfsg repackaging suffix.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Feb 2011 05:35:23 +0100

libcompass-ruby (0.10.2debian-2) unstable; urgency=low

  * debian/rules
     + removed man page from libcompass-ruby
     its being provided by libcompass-ruby1.8. (Closes: #589516, #587913).
  * debian/control
     + Bumped Standard version to 3.9.1 (no changes).

 -- Deepak Tripathi <apenguinlinux@gmail.com>  Tue, 03 Aug 2010 22:06:59 -0400

libcompass-ruby (0.10.2debian-1) unstable; urgency=low

  * New upstream release (Closes: #583105)
  * debian/control
     + added myself to uploaders.
  * debian/patches/
     + added patch to get binary version from 
     right path.
     + added patch to fix binary load path.
     + added patch to keep framework at
     /usr/share dir.
  * debian/copyright
     + updated Debian's specific copyright info. 
  * debian/
     + created compass.1 manpage.
     + added libcompass-ruby1.8.manpages.
     + added libcompass-ruby.examples.
     + removed libcompass-ruby1.8 examples.
     + updated repack.sh for remove empty
     vendor directory.
  * debian/rules
     + removed patchsys-quilt.mk.
     
 -- Deepak Tripathi <apenguinlinux@gmail.com>  Thu, 24 Jun 2010 18:29:07 +0530

libcompass-ruby (0.8.17debian-1) unstable; urgency=low

  * Upgrade to new release

 -- Micah Anderson <micah@debian.org>  Sat, 01 May 2010 15:53:36 -0400

libcompass-ruby (0.8.5debian-5) unstable; urgency=low

  * fix changelog name in debian/rules (Closes: #577342) 
    - thanks Hideki Yamane
  * set quilt 3.0 source format

 -- Micah Anderson <micah@debian.org>  Sat, 20 Mar 2010 16:46:20 -0400

libcompass-ruby (0.8.5debian-4) unstable; urgency=low

  * Fix dependency for libcompass-ruby to be libcompass-ruby1.8 

 -- Micah Anderson <micah@debian.org>  Fri, 19 Mar 2010 00:02:53 -0400

libcompass-ruby (0.8.5debian-3) unstable; urgency=low

  * Fix binary load path and framework default directory

 -- Micah Anderson <micah@debian.org>  Sat, 06 Mar 2010 14:30:43 -0500

libcompass-ruby (0.8.5debian-2) unstable; urgency=low

  * Depend on the libfssm-ruby libraries

 -- Micah Anderson <micah@debian.org>  Sat, 06 Mar 2010 13:38:39 -0500

libcompass-ruby (0.8.5debian-1) unstable; urgency=low

  * repack upstream source to remove license amigious 
    example files and vendored fssm library
  * Install VERSION.yaml and patch source to find it properly
  * Initial release (Closes: #572555)

 -- Micah Anderson <micah@debian.org>  Thu, 04 Mar 2010 15:45:17 -0500
